#!/bin/bash

# Path to the LLVM interpreter
LLI="lli"
#LLI="/usr/local/opt/llvm/bin/lli"

# Path to the LLVM compiler
LLC="llc"

# Path to the C++ compiler
CXX="clang++"

# Path to the yamml compiler.  Usually "./yamml.native"
# Try "_build/yamml.native" if ocamlbuild was unable to create a symbolic link.
YAMML="./yamml.native"

basename="$(basename -s .yamml "$1")"
"$YAMML" "$1" > "${basename}.ll" &&
"$LLC" "${basename}.ll" > "${basename}.s" &&
"$CXX" "-c" "io.cpp" &&
"$CXX" "-o" "${basename}.exe" "${basename}.s" "printbig.o" "io.o" &&
rm -f io.o
